#!/bin/bash
#
#SBATCH --job-name=llm_inference
#SBATCH --output=output_inference_eval_medalpaca_aki_stage_clean_correct.txt
#SBATCH --mail-user=kulcsar@cl.uni-heidelberg.de
#SBATCH --mail-type=ALL
#SBATCH --partition=single
#SBATCH --time 120:00:00
#SBATCH --mem 40G
#SBATCH --gres=gpu:1
#SBATCH --ntasks=1

#JOB STEPS
#srun hostname

#cd /home/students/kulcsar/

#source /home/students/kulcsar/anaconda3/etc/profile.d/conda.sh
#conda activate huggingface_older

#cd /home/students/kulcsar/Bachelor/for_dataset/10000_diagnoses
#accelerate config
#python -m torch.distributed.launch --nproc_per_node=2 --use_env t5_model.py --model luqh/ClinicalT5-large --tokenizer luqh/ClinicalT5-large --dataset ./dev/dev_dataset_diagnoses_icd_48_pref.pkl --ff --seed 42 --batch_size 8 --epochs 3 --learning_rate 0.000005 --model_save_path t5_small_10000_icd_48_rs42_prefix.pt --do_eval --test_dataset ./test/test_dataset_diagnoses_icd_48_pref.pkl --topk 3 --temp 0.9 --num_beams 4 --no_rep_ngram 2 --do_sample --metrics accuracy --log log_clinicalt5.log


python inference.py --model medalpaca/medalpaca-7b --dataset ./test_dataset_lm_clean.pkl  --tokenizer medalpaca/medalpaca-7b --metrics accuracy --early_stopping --classify 
#
