#!/bin/bash
#
#SBATCH --job-name=test_5_shot_biogpt
#SBATCH --output=output_test_biogpt_shortened_min_100_filtered_1024.txt
#SBATCH --mail-user=kulcsar@cl.uni-heidelberg.de
#SBATCH --mail-type=ALL
#SBATCH --partition=students
#SBATCH --mem 40G
#SBATCH --gres=gpu:1
#SBATCH --ntasks=1

#JOB STEPS
#srun hostname

cd /home/students/kulcsar/
source /home/students/kulcsar/anaconda3/etc/profile.d/conda.sh
conda activate software_bubble

cd /home/students/kulcsar/Bachelor/for_dataset/10000_diagnoses
#python evaluate_model.py -sm biogpt_10000_48_rs_42_diagnoses.pt/ -t microsoft/biogpt -td ./test/test_dataset_diagnoses_48.pkl -b 1 -l eval_log_icd.log -topk 40 -temp 1 -num_beams 5 -early_stopping -no_rep_ngram 2 --config_name microsoft/biogpt --metrics accuracy precision recall

#python evaluate_model.py -sm t5/shortened/t5_small_10000_shortened_min_100_output_attentions_decoder_inp_ids.pt -t t5-small -td ./train/train_dataset_diagnoses_shortened_min_100.pkl -b 1 -l eval_log_icd.log -topk 40 -temp 0.9 -num_beams 3 -early_stopping -no_rep_ngram 2 --config_name t5-small --metrics accuracy precision recall

#python evaluate_model.py -sm t5/shortened/t5_small_10000_shortened_min_100_output_attentions_decoder_inp_ids.pt -t t5-small -td ./train/train_dataset_diagnoses_shortened_min_100.pkl -b 1 -l eval_log_icd.log -topk 30 -temp 0.1 -num_beams 5 -early_stopping -no_rep_ngram 2 --config_name t5-small --metrics accuracy precision recall

python evaluate_model_2.py -sm biogpt_10000_shortened_min_100_1024/ -t microsoft/biogpt -td ./train/train_dataset_diagnoses_shortened_min_100_filtered_biogpt_1024.pkl -b 1 -l eval_log_icd.log -topk 2 -temp 0.9 -num_beams 3 -early_stopping -no_rep_ngram 2 --config_name microsoft/biogpt --metrics accuracy precision recall




#python evaluate_model.py -sm t5/shortened/t5_small_10000_shortened_min_100_from_discharge.pt -t t5-small -td ./train/train_dataset_diagnoses_shortened_min_100_48_from_discharge.pkl -b 2 -l eval_log2_icd.log -topk 3 -temp 0.9 -num_beams 4 -no_rep_ngram 2 -do_sample --metrics accuracy precision

#python evaluate_model.py -sm t5/shortened/t5_small_10000_shortened_min_100_from_discharge.pt -t t5-small -td ./train/train_dataset_diagnoses_shortened_min_100_48_from_discharge.pkl -b 5 -l eval_log3_icd.log -topk 10 -temp 0.1 -no_rep_ngram 2 -num_beams 3 -early_stopping --config_name t5-small --metrics accuracy
