#!/bin/bash
#
#SBATCH --job-name=create_more_shortened
#SBATCH --output=output_concise_shortened_labevenets_not_concatenated.txt
#SBATCH --mail-user=kulcsar@cl.uni-heidelberg.de
#SBATCH --mail-type=ALL
#SBATCH --partition=students
#SBATCH --mem 40G
#SBATCH --gres=gpu:1
#SBATCH --ntasks=1

#JOB STEPS
#srun hostname

cd /home/students/kulcsar/
source /home/students/kulcsar/anaconda3/etc/profile.d/conda.sh
conda activate software_bubble

cd /home/students/kulcsar/Bachelor/for_dataset
#python create_concise_df.py --source_diagnoses ./10000_diagnoses/train/train_dataset_diagnoses_shortened_min_50.csv --min 50
#python create_concise_df.py --source_diagnoses ./10000_diagnoses/train/train_dataset_diagnoses_shortened_min_75.csv --min 75
#python create_concise_df.py --source_diagnoses ./10000_diagnoses/train/train_dataset_diagnoses_shortened_min_150.csv --min 150
#python create_concise_df.py --source_diagnoses ./10000_diagnoses/train/train_dataset_diagnoses_shortened_min_200.csv --min 200
#python create_concise_df.py --source_diagnoses ./10000_diagnoses/train/train_dataset_diagnoses_shortened_min_250.csv --min 250
#python create_concise_df.py --source_diagnoses ./10000_diagnoses/train/train_dataset_diagnoses_shortened_min_300.csv --min 300
#python create_concise_df.py --source_diagnoses ./10000_diagnoses/train/train_dataset_diagnoses_shortened_min_350.csv --min 350
python create_concise_df.py --source_diagnoses ./10000_diagnoses/train/reduced_diagnosis_min_400.csv --min 400 
